Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160805 - S3 resume: irqrouter_resume() oops
Summary: S3 resume: irqrouter_resume() oops
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FCMETA_ACPI
TreeView+ depends on / blocked
 
Reported: 2005-06-17 13:11 UTC by Mark Knoop
Modified: 2015-01-04 22:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-02 21:37:11 UTC


Attachments (Terms of Use)
extract from /var/log/messages (deleted)
2005-06-17 13:12 UTC, Mark Knoop
no flags Details
extract from /var/log/messages (deleted)
2005-07-17 12:17 UTC, Mark Knoop
no flags Details

Description Mark Knoop 2005-06-17 13:11:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
The kernel reports a soft lockup after resuming from ACPI sleep (S3). The resume does however work and no ill-effects have yet been observed.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. Initiate sleep with "echo -n mem > /sys/power/state"
   (Actually as part of a script: suspend.sh, but happens either way)
2. Resume with hardware button.
  

Actual Results:  System resumes and kernel reports a soft lockup in /var/log/messages

Additional info:

Comment 1 Mark Knoop 2005-06-17 13:12:18 UTC
Created attachment 115606 [details]
extract from /var/log/messages

Comment 2 Dave Jones 2005-07-15 21:36:53 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


Comment 3 Mark Knoop 2005-07-17 12:16:48 UTC
Yes, that's fixed it thanks. Now there's just the "Debug: sleeping function
called from invalid context at mm/slab.c" message (also seen in bugs #157642,
#140254, #145250 etc) (see attached extract from /var/log/messages).

Comment 4 Mark Knoop 2005-07-17 12:17:51 UTC
Created attachment 116851 [details]
extract from /var/log/messages

Comment 5 Dave Jones 2005-09-30 06:56:53 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 6 Dave Jones 2005-11-10 20:03:12 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.


Comment 7 Dave Jones 2006-02-02 21:37:11 UTC
assuming fixed after 6 months of inactivity.



Note You need to log in before you can comment on or make changes to this bug.